Bug 226989 - Clean up how platform images are handled in the bot watchers' dashboard
Summary: Clean up how platform images are handled in the bot watchers' dashboard
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: W.D. Xiong
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-14 14:21 PDT by W.D. Xiong
Modified: 2021-06-17 01:34 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.09 MB, patch)
2021-06-14 14:29 PDT, W.D. Xiong
no flags Details | Formatted Diff | Diff
Patch (1.09 MB, patch)
2021-06-14 14:42 PDT, W.D. Xiong
no flags Details | Formatted Diff | Diff
Patch (1.27 MB, patch)
2021-06-16 13:46 PDT, W.D. Xiong
wdx: review?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description W.D. Xiong 2021-06-14 14:21:33 PDT
We're currently loading in 2x versions of platform images as "___@2x.png", which is unnecessary as these should just be the normal versions. Also the @ symbol in the filename doesn't play nicely with git-svn - we should remove that.

There's also a lot of images for old platforms that we should get rid of too (Snow Leopard and Windows XP, for example)
Comment 1 Radar WebKit Bug Importer 2021-06-14 14:21:55 PDT
<rdar://problem/79307799>
Comment 2 W.D. Xiong 2021-06-14 14:29:38 PDT
Created attachment 431364 [details]
Patch
Comment 3 W.D. Xiong 2021-06-14 14:42:30 PDT
Created attachment 431367 [details]
Patch
Comment 4 W.D. Xiong 2021-06-16 13:46:53 PDT
Created attachment 431595 [details]
Patch
Comment 5 Jonathan Bedard 2021-06-16 16:40:03 PDT
Needed to be manually pushed from a subversion checkout:
https://trac.webkit.org/changeset/278967/webkit